# renameDataExport

Rename an export's file. The contact list or property tag the export made keeps the name it was given.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "renameDataExport", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `dataExportId`: `ID!` (required)
- `fileName`: `String!` (required)

## Response (data, an example)

```json
{
  "exportMutation": {
    "renameDataExport": {
      "id": "<ID>",
      "fileName": "…"
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "renameDataExport",
    "variables": {
      "dataExportId": "<dataExportId>",
      "fileName": "<String>"
    }
  }'
```
